### Function

# EBookContacts Contact field_type

since: 3.8

#### Declaration [src]

    GType
    e_contact_field_type (
      EContactField field_id
    )

#### Description [src]

Gets the `GType` used for this contact field, this indicates what kind of value can be passed to e_contact_set().

Available since: 3.8

#### Parameters

`field_id`

  Type: `EContactField`

  An `EContactField`.

#### Return value

Type: `GType`

The `GType` used for `field_id`, or `G_TYPE_INVALID` if it doesn’t exist.